Debian Bug report logs - #575521
0: (vdso) ((nil)+0xbe91e528) [0xbe91e528] Segmentation fault at address 0x1c

version graph

Package: xserver-xorg; Maintainer for xserver-xorg is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg is src:xorg.

Reported by: Timo Juhani Lindfors <timo.lindfors@iki.fi>

Date: Fri, 26 Mar 2010 14:27:02 UTC

Severity: normal

Tags: moreinfo

Found in version xorg/1:7.5+5

Done: Timo Juhani Lindfors <timo.lindfors@iki.fi>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#575521; Package xserver-xorg. (Fri, 26 Mar 2010 14:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 26 Mar 2010 14:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: 0: (vdso) ((nil)+0xbe91e528) [0xbe91e528] Segmentation fault at address 0x1c
Date: Fri, 26 Mar 2010 16:25:03 +0200
Package: xserver-xorg
Version: 1:7.5+5
Severity: normal

Xorg crashed on my openmoko neo freerunner gta02v5 using
xserver-xorg-video-fbdev. I do not know a way to reproduce this bug.


-- Package-specific info:
/var/lib/x11/X.roster does not exist.

/var/lib/x11/X.md5sum does not exist.

X server symlink status:
lrwxrwxrwx 1 root root 13 Feb  8  2009 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1669616 Mar 24 01:16 /usr/bin/Xorg

/var/lib/x11/xorg.conf.roster does not exist.

VGA-compatible devices on PCI bus:

/var/lib/x11/xorg.conf.md5sum does not exist.

Xorg X server configuration file status:
-rw-r--r-- 1 root root 995 Feb 12 01:00 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
Section "Device"
           Identifier      "Configured Video Device"
           Driver          "fbdev"
EndSection

Section "ServerLayout"
        Identifier     "Default Layout"
        Screen      0  "Screen0" 0 0
#        InputDevice    "Mouse0" "CorePointer"
EndSection

Section "InputDevice"
        Identifier  "Mouse0"
        Driver      "tslib"
        Option      "Device" "/dev/input/event1"
        Option      "Width" "480"
        Option      "Height" "640"
#	Option "EmulateRightButton"    "1"
EndSection

Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Monitor Vendor"
#        DisplaySize 121 162
#        DisplaySize 181 243
#        DisplaySize 229 307 # * 1.9
        DisplaySize 200 200
EndSection

Section "Device"
        Identifier  "Videocard0"
#        Driver      "glamo"
        Driver      "fbdev"
EndSection

Section "Screen"
    Identifier  "Screen0"
    Device      "Videocard0"
    Monitor     "Monitor0"
    DefaultDepth 16
EndSection



Xorg X server log files on system:
-rw-r--r-- 1 root root 11701 Feb 12 13:25 /var/log/Xorg.1.log
-rw-r--r-- 1 root root  9543 Mar 26 16:12 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:


X.Org X Server 1.7.5
Release Date: 2010-02-16
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.32-trunk-iop32x armv5tel Debian
Current Operating System: Linux ginger 2.6.29-GTA02_lindi2-andy-tracking-mokodev #2 Thu Feb 11 11:06:36 EET 2010 armv4tl
Kernel command line: loglevel=4 console=tty0 console=ttySAC2,115200 init=/sbin/init ro  mtdparts=physmap-flash:-(nor);neo1973-nand:0x00040000(qi),0x00040000(depr-ub-env),0x00800000(kernel),0x000a0000(depr),0x00040000(identity-ext2),0x0f6a0000(rootfs)  g_ether.host_addr=00:1F:11:01:1F:6B g_ether.dev_addr=00:1F:11:01:1F:6B  root=/dev/mmcblk0p1 rootdelay=1 rootdelay=1 panic=20 mem=127M root=/dev/mmcblk0p2 loglevel=8
Build Date: 16 February 2010  01:09:09PM
xorg-server 2:1.7.5-1 (buildd@all6500-2) 
Current version of pixman: 0.16.4
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Wed Mar 24 15:15:31 2010
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "Videocard0"
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/Type1" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/100dpi" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/75dpi" does not exist.
	Entry deleted from font path.
(WW) The directory "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType" does not exist.
	Entry deleted from font path.
(==) FontPath set to:
	/usr/share/fonts/X11/misc,
	built-ins
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) Cannot locate a core pointer device.
(II) Cannot locate a core keyboard device.
(II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
(II) Loader magic: 0x1a4fe8
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.4
	X.Org Video Driver: 6.0
	X.Org XInput driver : 7.0
	X.Org Server Extension : 2.0
(++) using VT number 2

(WW) xf86OpenConsole: setpgid failed: Operation not permitted
(WW) xf86OpenConsole: setsid failed: Operation not permitted
(II) Open APM successful
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.7.5, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension SELinux
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.7.5, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions/libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.7.5, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions/librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.7.5, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions/libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.7.5, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "dri2"
(II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
	compiled for 1.7.5, module version = 1.1.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(II) LoadModule: "fbdev"
(II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
(II) Module fbdev: vendor="X.Org Foundation"
	compiled for 1.7.5, module version = 0.4.1
	ABI class: X.Org Video Driver, version 6.0
(II) FBDEV: driver for framebuffer: fbdev
(WW) Falling back to old probe method for fbdev
(II) Loading sub module "fbdevhw"
(II) LoadModule: "fbdevhw"
(II) Loading /usr/lib/xorg/modules/linux/libfbdevhw.so
(II) Module fbdevhw: vendor="X.Org Foundation"
	compiled for 1.7.5, module version = 0.0.2
	ABI class: X.Org Video Driver, version 6.0
(II) FBDEV(0): using default device
(WW) VGA arbiter: cannot open kernel arbiter, no multi-card support
(II) Running in FRAMEBUFFER Mode
(II) FBDEV(0): Creating default Display subsection in Screen section
	"Screen0" for depth/fbbpp 16/16
(**) FBDEV(0): Depth 16, (--) framebuffer bpp 16
(==) FBDEV(0): RGB weight 565
(==) FBDEV(0): Default visual is TrueColor
(==) FBDEV(0): Using gamma correction (1.0, 1.0, 1.0)
(II) FBDEV(0): hardware: SMedia Glamo (video memory: 4096kB)
(II) FBDEV(0): checking modes against framebuffer device...
(II) FBDEV(0): checking modes against monitor...
(--) FBDEV(0): Virtual size is 480x640 (pitch 480)
(**) FBDEV(0):  Built-in mode "current": 24.5 MHz, 47.9 kHz, 72.5 Hz
(II) FBDEV(0): Modeline "current"x0.0   24.50  480 496 504 512  640 656 658 660 -hsync -vsync -csync (47.9 kHz)
(**) FBDEV(0): Display dimensions: (200, 200) mm
(**) FBDEV(0): DPI set to (60, 81)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules/libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.7.5, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(**) FBDEV(0): using shadow framebuffer
(II) Loading sub module "shadow"
(II) LoadModule: "shadow"
(II) Loading /usr/lib/xorg/modules/libshadow.so
(II) Module shadow: vendor="X.Org Foundation"
	compiled for 1.7.5, module version = 1.1.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(==) FBDEV(0): Backing store disabled
(==) FBDEV(0): DPMS enabled
(==) RandR enabled
(II) Initializing built-in extension Generic Event Extension
(II) Initializing built-in extension SHAPE
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension BIG-REQUESTS
(II) Initializing built-in extension SYNC
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-MISC
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
SELinux: Disabled on system, not enabling in X server
record: RECORD extension enabled at configure time.
record: This extension is known to be broken, disabling extension now..
record: http://bugs.freedesktop.org/show_bug.cgi?id=20500
(II) AIGLX: Screen 0 is not DRI2 capable
(II) AIGLX: Screen 0 is not DRI capable
(EE) AIGLX error: dlopen of /usr/lib/dri/swrast_dri.so failed (/usr/lib/dri/swrast_dri.so: cannot open shared object file: No such file or directory)
(EE) GLX: could not load software renderer
(II) GLX: no usable GL providers found for screen 0
(II) config/udev: Adding input device "Neo1973 Buttons" (/dev/input/event4)
(II) LoadModule: "evdev"
(II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
(II) Module evdev: vendor="X.Org Foundation"
	compiled for 1.7.5, module version = 2.3.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(**) "Neo1973 Buttons": always reports core events
(**) "Neo1973 Buttons": Device: "/dev/input/event4"
(II) "Neo1973 Buttons": Found keys
(II) "Neo1973 Buttons": Configuring as keyboard
(II) XINPUT: Adding extended input device ""Neo1973 Buttons"" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "fi"
(**) Option "xkb_options" "lv3:ralt_switch"
(II) config/udev: Adding input device "PCF50633 PMU events" (/dev/input/event0)
(**) "PCF50633 PMU events": always reports core events
(**) "PCF50633 PMU events": Device: "/dev/input/event0"
(II) "PCF50633 PMU events": Found keys
(II) "PCF50633 PMU events": Configuring as keyboard
(II) XINPUT: Adding extended input device ""PCF50633 PMU events"" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "fi"
(**) Option "xkb_options" "lv3:ralt_switch"
(II) config/udev: Adding input device "s3c2410 TouchScreen" (/dev/input/event1)
(II) LoadModule: "tslib"
(II) Loading /usr/lib/xorg/modules/input/tslib_drv.so
(II) Module tslib: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 0.0.1
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(**) "s3c2410 TouchScreen": always reports core events
(II) XINPUT: Adding extended input device ""s3c2410 TouchScreen"" (type: TOUCHSCREEN)
xf86TslibControlProc
xf86TslibControlProc
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc
(II) Open APM successful
xf86TslibControlProc
(II) "Neo1973 Buttons": Device reopened after 1 attempts.
(II) "PCF50633 PMU events": Device reopened after 1 attempts.
xf86TslibControlProc

Backtrace:
0: (vdso) ((nil)+0xbe91e528) [0xbe91e528]
Segmentation fault at address 0x1c

Fatal server error:
Caught signal 11 (Segmentation fault). Server aborting


Please consult the The X.Org Foundation support 
	 at http://wiki.x.org
 for help. 
Please also check the log file at "/var/log/Xorg.0.log" for additional information.

xf86TslibControlProc
xf86TslibUninit
xf86TslibControlProc
(II) UnloadModule: "tslib"
(II) "PCF50633 PMU events": Close
(II) UnloadModule: "evdev"
(II) "Neo1973 Buttons": Close
(II) UnloadModule: "evdev"

udev information:
P: /devices/virtual/input/input0/event0
N: input/event0
S: char/13:64
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input0/event0
E: MAJOR=13
E: MINOR=64
E: SUBSYSTEM=input
E: DEVNAME=/dev/input/event0
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=fi
E: DEVLINKS=/dev/char/13:64
E: XKBOPTIONS=lv3:ralt_switch
E: x11_driver=evdev

P: /devices/virtual/input/input1/event1
N: input/event1
S: char/13:65
S: ts
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input1/event1
E: MAJOR=13
E: MINOR=65
E: SUBSYSTEM=input
E: DEVNAME=/dev/input/event1
E: ID_INPUT=1
E: ID_INPUT_TOUCHSCREEN=1
E: x11_driver=tslib
E: DEVLINKS=/dev/char/13:65 /dev/ts

P: /devices/virtual/input/input2/event2
N: input/event2
S: char/13:66
S: accelerometer-top
S: accelerometer-bottom
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input2/event2
E: MAJOR=13
E: MINOR=66
E: SUBSYSTEM=input
E: DEVNAME=/dev/input/event2
E: ID_INPUT=1
E: DEVLINKS=/dev/char/13:66 /dev/accelerometer-top /dev/accelerometer-bottom

P: /devices/virtual/input/input3/event3
N: input/event3
S: char/13:67
S: accelerometer-top
S: accelerometer-bottom
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input3/event3
E: MAJOR=13
E: MINOR=67
E: SUBSYSTEM=input
E: DEVNAME=/dev/input/event3
E: ID_INPUT=1
E: DEVLINKS=/dev/char/13:67 /dev/accelerometer-top /dev/accelerometer-bottom

P: /devices/platform/s3c2440-i2c/i2c-adapter/i2c-0/0-0073/neo1973-button.0/input/input4/event4
N: input/event4
S: char/13:68
S: input/by-path/platform-s3c2440-i2c-platform-neo1973-button.0-event
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/s3c2440-i2c/i2c-adapter/i2c-0/0-0073/neo1973-button.0/input/input4/event4
E: MAJOR=13
E: MINOR=68
E: SUBSYSTEM=input
E: DEVNAME=/dev/input/event4
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=platform-s3c2440-i2c-platform-neo1973-button.0
E: XKBMODEL=pc105
E: XKBLAYOUT=fi
E: DEVLINKS=/dev/char/13:68 /dev/input/by-path/platform-s3c2440-i2c-platform-neo1973-button.0-event
E: XKBOPTIONS=lv3:ralt_switch
E: x11_driver=evdev

DRM Information from dmesg:


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: armel (armv4tl)

Kernel: Linux 2.6.29-GTA02_lindi2-andy-tracking-mokodev
Locale: LANG=C, LC_CTYPE=fi_FI (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg depends on:
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib
ii  x11-xkb-utils                 7.5+2      X11 XKB utilities
ii  xkb-data                      1.8-1      X Keyboard Extension (XKB) configu
ii  xserver-xorg-core             2:1.7.6-1  Xorg X server - core server
ii  xserver-xorg-input-evdev [xse 1:2.3.2-4  X.Org X server -- evdev input driv
ii  xserver-xorg-input-synaptics  1.2.1-1    Synaptics TouchPad driver for X.Or
ii  xserver-xorg-input-tslib [xse 0.0.6-3    tslib touchscreen driver for X.Org
ii  xserver-xorg-video-fbdev [xse 1:0.4.1-2  X.Org X server -- fbdev display dr

Versions of packages xserver-xorg recommends:
pn  libgl1-mesa-dri               <none>     (no description available)

xserver-xorg suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#575521; Package xserver-xorg. (Fri, 26 Mar 2010 20:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 26 Mar 2010 20:24:08 GMT) Full text and rfc822 format available.

Message #10 received at 575521@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: 575521@bugs.debian.org
Subject: Re: 0: (vdso) ((nil)+0xbe91e528) [0xbe91e528] Segmentation fault at address 0x1c
Date: Fri, 26 Mar 2010 22:21:51 +0200
Hi,

I hit this again so I suspect it is something that was caused by my
recent upgrade:

$ grep xorg /var/log/dpkg.log|grep upg
2010-03-24 23:37:17 upgrade xserver-xorg-core 2:1.7.5-1 2:1.7.6-1
2010-03-24 23:37:42 upgrade xserver-xorg-dev 2:1.7.5-1 2:1.7.6-1

I will downgrade back to 2:1.7.5-1 for a while to verify this claim.







Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#575521; Package xserver-xorg. (Fri, 02 Apr 2010 21:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 02 Apr 2010 21:57:07 GMT) Full text and rfc822 format available.

Message #15 received at 575521@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: 575521@bugs.debian.org
Subject: Re: 0: (vdso) ((nil)+0xbe91e528) [0xbe91e528] Segmentation fault at address 0x1c
Date: Sat, 03 Apr 2010 00:29:41 +0300
I have used 

ii  x11-xserver-utils                 7.5+1                        X server utilities
ii  xserver-common                    2:1.7.5-1                    common files used by various X servers
ii  xserver-xglamo                    1.3.0.0+git20080807-3        tiny X server for the SMedia Glamo graphics
ii  xserver-xorg                      1:7.5+5                      the X.Org X server
ii  xserver-xorg-core                 2:1.7.5-1                    Xorg X server - core server
ii  xserver-xorg-dev                  2:1.7.5-1                    Xorg X server - development files
ii  xserver-xorg-input-evdev          1:2.3.2-4                    X.Org X server -- evdev input driver
ii  xserver-xorg-input-synaptics      1.2.1-1                      Synaptics TouchPad driver for X.Org server
ii  xserver-xorg-input-tslib          0.0.6-3                      tslib touchscreen driver for X.Org/XFree86 s
ii  xserver-xorg-video-fbdev          1:0.4.1-2                    X.Org X server -- fbdev display driver

now for a week without crashes so I am very confident that it is the
new version 2:1.7.6-1 that causes the problems.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#575521; Package xserver-xorg. (Sun, 06 Jun 2010 17:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 06 Jun 2010 17:21:03 GMT) Full text and rfc822 format available.

Message #20 received at 575521@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>, 575521@bugs.debian.org
Subject: Re: Bug#575521: 0: (vdso) ((nil)+0xbe91e528) [0xbe91e528] Segmentation fault at address 0x1c
Date: Sun, 6 Jun 2010 19:18:40 +0200
[Message part 1 (text/plain, inline)]
On Sat, Apr  3, 2010 at 00:29:41 +0300, Timo Juhani Lindfors wrote:

> 
> I have used 
> 
> ii  x11-xserver-utils                 7.5+1                        X server utilities
> ii  xserver-common                    2:1.7.5-1                    common files used by various X servers
> ii  xserver-xglamo                    1.3.0.0+git20080807-3        tiny X server for the SMedia Glamo graphics
> ii  xserver-xorg                      1:7.5+5                      the X.Org X server
> ii  xserver-xorg-core                 2:1.7.5-1                    Xorg X server - core server
> ii  xserver-xorg-dev                  2:1.7.5-1                    Xorg X server - development files
> ii  xserver-xorg-input-evdev          1:2.3.2-4                    X.Org X server -- evdev input driver
> ii  xserver-xorg-input-synaptics      1.2.1-1                      Synaptics TouchPad driver for X.Org server
> ii  xserver-xorg-input-tslib          0.0.6-3                      tslib touchscreen driver for X.Org/XFree86 s
> ii  xserver-xorg-video-fbdev          1:0.4.1-2                    X.Org X server -- fbdev display driver
> 
> now for a week without crashes so I am very confident that it is the
> new version 2:1.7.6-1 that causes the problems.
> 
Is it still reproducible with 1.7.7?  If so, you'll probably either have
to bisect between 1.7.5 and 1.7.6, or get a usable backtrace from gdb
(no idea how feasible/practical it is to get a core dump on the
freerunner).

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 06 Jun 2010 17:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#575521; Package xserver-xorg. (Sun, 06 Jun 2010 18:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 06 Jun 2010 18:12:03 GMT) Full text and rfc822 format available.

Message #27 received at 575521@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Julien Cristau <jcristau@debian.org>
Cc: 575521@bugs.debian.org
Subject: Re: Bug#575521: 0: (vdso) ((nil)+0xbe91e528) [0xbe91e528] Segmentation fault at address 0x1c
Date: Sun, 06 Jun 2010 21:01:07 +0300
Julien Cristau <jcristau@debian.org> writes:
> Is it still reproducible with 1.7.7?  If so, you'll probably either have

I removed the hold status of xserver-xorg-core and let it upgrade to
2:1.7.7-1 on 2010-05-23. I have not encountered a crash yet but I
would not yet declare it as working.

Is there some way to guarantee that a log entry is preserved if Xorg
crashes? Currently xdm restarts Xorg automatically and I have only
/var/log/Xorg.0.log.old available. If I don't notice this then the
next reboot will overwrite the log when Xorg starts again.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#575521; Package xserver-xorg. (Sun, 06 Jun 2010 18:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 06 Jun 2010 18:39:08 GMT) Full text and rfc822 format available.

Message #32 received at 575521@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Cc: 575521@bugs.debian.org
Subject: Re: Bug#575521: 0: (vdso) ((nil)+0xbe91e528) [0xbe91e528] Segmentation fault at address 0x1c
Date: Sun, 6 Jun 2010 20:37:25 +0200
[Message part 1 (text/plain, inline)]
On Sun, Jun  6, 2010 at 21:01:07 +0300, Timo Juhani Lindfors wrote:

> Julien Cristau <jcristau@debian.org> writes:
> > Is it still reproducible with 1.7.7?  If so, you'll probably either have
> 
> I removed the hold status of xserver-xorg-core and let it upgrade to
> 2:1.7.7-1 on 2010-05-23. I have not encountered a crash yet but I
> would not yet declare it as working.
> 
Thanks.

> Is there some way to guarantee that a log entry is preserved if Xorg
> crashes?

No :(

> Currently xdm restarts Xorg automatically and I have only
> /var/log/Xorg.0.log.old available. If I don't notice this then the
> next reboot will overwrite the log when Xorg starts again.
> 
Unfortunately the backtrace in the initial report was pretty much
useless; gdb should do better than glibc's backtrace(), if you manage to
get that to work.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#575521; Package xserver-xorg. (Sun, 06 Jun 2010 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 06 Jun 2010 19:03:03 GMT) Full text and rfc822 format available.

Message #37 received at 575521@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Julien Cristau <jcristau@debian.org>
Cc: 575521@bugs.debian.org
Subject: Re: Bug#575521: 0: (vdso) ((nil)+0xbe91e528) [0xbe91e528] Segmentation fault at address 0x1c
Date: Sun, 06 Jun 2010 21:54:11 +0300
Julien Cristau <jcristau@debian.org> writes:
> Unfortunately the backtrace in the initial report was pretty much
> useless; gdb should do better than glibc's backtrace(), if you manage to
> get that to work.

Yes I know but I would at least want to notice the crash reliably so
that we could try to figure out if the new version is affected at all
or not. Currently it seems to be ok but I'm afraid I might miss a
crash if it happens when I'm not looking at my phone :-)





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#575521; Package xserver-xorg. (Fri, 25 Feb 2011 21:09:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 25 Feb 2011 21:09:11 GMT) Full text and rfc822 format available.

Message #42 received at 575521@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>, 575521@bugs.debian.org
Subject: Re: Bug#575521: 0: (vdso) ((nil)+0xbe91e528) [0xbe91e528] Segmentation fault at address 0x1c
Date: Fri, 25 Feb 2011 22:05:05 +0100
[Message part 1 (text/plain, inline)]
Timo Juhani Lindfors <timo.lindfors@iki.fi> (06/06/2010):
> Yes I know but I would at least want to notice the crash reliably so
> that we could try to figure out if the new version is affected at
> all or not. Currently it seems to be ok but I'm afraid I might miss
> a crash if it happens when I'm not looking at my phone :-)

FWIW:
  http://pkg-xorg.alioth.debian.org/howto/use-gdb.html

KiBi.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
You have taken responsibility. (Sat, 18 Jun 2011 23:45:17 GMT) Full text and rfc822 format available.

Notification sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Bug acknowledged by developer. (Sat, 18 Jun 2011 23:45:17 GMT) Full text and rfc822 format available.

Message #47 received at 575521-close@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: 575521-close@bugs.debian.org
Subject: Re: Bug#575521: 0: (vdso) ((nil)+0xbe91e528) [0xbe91e528] Segmentation fault at address 0x1c
Date: Sun, 19 Jun 2011 02:44:14 +0300
Hi,

> I removed the hold status of xserver-xorg-core and let it upgrade to
> 2:1.7.7-1 on 2010-05-23. I have not encountered a crash yet but I
> would not yet declare it as working.

xorg still hasn't crashed and I've used it every day. I think we can
close this bug now :-)

Thanks for the good work!

-Timo





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jul 2011 07:33:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:16:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.